<mat-card>
  <mat-card-content class="login-content width-100">
    <form [formGroup]="form" (ngSubmit)="onSubmit()" class="width-33">
      <h2>{{"Anmelden" | translate: 'avw_login_title'}}</h2>
      <mat-error *ngIf="loginInvalid">
        The username and password were not recognised
      </mat-error>
      <mat-form-field class="full-width-input" class="width-100">
        <mat-label>{{"Benutzername" | translate: 'avw_login_user'}}</mat-label>
        <input matInput formControlName="username" required>
        <mat-error>
          {{"Geben Sie Ihren FH CAMPUS 02 Benutzernamen ein." | translate: 'avw_fm_user'}}
        </mat-error>
        <mat-hint>
          {{"Benutzername Ihres FH CAMPUS 02 Accounts" | translate: 'avw_login_user_i'}}
        </mat-hint>
      </mat-form-field>
      <mat-form-field class="full-width-input" class="width-100">
        <mat-label>{{"Passwort" | translate: 'avw_login_password'}}</mat-label>
        <input matInput type="password" formControlName="password" required autocomplete="on">
        <mat-error>
          {{"Geben Sie Ihr FH CAMPUS 02 Passwort ein." | translate: 'avw_fm_password'}}
        </mat-error>
        <mat-hint>
          {{"Passwort Ihres FH CAMPUS 02 Accounts" | translate: 'avw_login_password_i'}}
        </mat-hint>
      </mat-form-field>
      <div class="container row margin-top-15 right-align">
        <button mat-flat-button color="primary" [disabled]="loading">
          {{"Anmelden" | translate: 'avw_login'}}
        </button>
      </div>
    </form>
  </mat-card-content>
</mat-card>
